import request from '@/utils/request'

// 查询专业线版本统计列表
export function listPdProfessionStatistical(query) {
  return request({
    url: '/processdata/pdProfessionStatistical/list',
    method: 'get',
    params: query
  })
}

// 查询专业线版本统计详细
export function getPdProfessionStatistical(id) {
  return request({
    url: '/processdata/pdProfessionStatistical/' + id,
    method: 'get'
  })
}

// 新增专业线版本统计
export function addPdProfessionStatistical(data) {
  return request({
    url: '/processdata/pdProfessionStatistical',
    method: 'post',
    data: data
  })
}

// 修改专业线版本统计
export function updatePdProfessionStatistical(data) {
  return request({
    url: '/processdata/pdProfessionStatistical',
    method: 'put',
    data: data
  })
}

// 删除专业线版本统计
export function delPdProfessionStatistical(id) {
  return request({
    url: '/processdata/pdProfessionStatistical/' + id,
    method: 'delete'
  })
}
